Bug 785065 (CVE-2012-0021) - CVE-2012-0021 httpd: NULL pointer dereference crash in mod_log_config
Summary: CVE-2012-0021 httpd: NULL pointer dereference crash in mod_log_config
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0021
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20111128,reported=2...
Depends On: 746695 746696 746697 785070
Blocks: 785068
TreeView+ depends on / blocked
 
Reported: 2012-01-27 06:05 UTC by Vincent Danen
Modified: 2019-06-08 19:01 UTC (History)
4 users (show)

Fixed In Version: httpd 2.2.22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-07 19:31:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0542 normal SHIPPED_LIVE Moderate: httpd security and bug fix update 2012-05-07 22:22:44 UTC
Red Hat Product Errata RHSA-2012:0543 normal SHIPPED_LIVE Moderate: httpd security and bug fix update 2012-05-07 22:22:11 UTC

Description Vincent Danen 2012-01-27 06:05:13 UTC
A flaw [1] was found in mod_log_config.  If an administrator configured the "%{cookiename}C" log format string to be used, a remote attacker could send a specific cookie which would cause a crash.  This crash would only be a denial of service if using a threaded MPM (such as event or worker).  Note that Red Hat Enterprise Linux and Fedora use the prefork MPM by default.

This will be fixed upstream [2] in 2.2.22 and affects versions 2.2.17 up to and including 2.2.21.

[1] https://issues.apache.org/bugzilla/show_bug.cgi?id=52256
[2] http://svn.apache.org/viewvc?view=revision&revision=1227292


Statement:

Not vulnerable. This issue did not affect the versions of httpd as shipped with Red Hat Enterprise Linux 4, 5, or 6.

Comment 1 Vincent Danen 2012-01-27 06:07:02 UTC
Created httpd tracking bugs for this issue

Affects: fedora-all [bug 785067]

Comment 2 Kurt Seifried 2012-01-28 06:13:13 UTC
======================================================
Name: CVE-2012-0021

The log_cookie function in mod_log_config.c in the mod_log_config
module in the Apache HTTP Server 2.2.17 through 2.2.21, when a
threaded MPM is used, does not properly handle a %{}C format string,
which allows remote attackers to cause a denial of service (daemon
crash) via a cookie that lacks both a name and a value.

Comment 3 Tomas Hoger 2012-01-29 17:32:28 UTC
(In reply to comment #0)
> This will be fixed upstream [2] in 2.2.22 and affects versions 2.2.17 up to and
> including 2.2.21.

This problem was introduced upstream via:
  http://svn.apache.org/viewvc?view=revision&revision=988403
  https://issues.apache.org/bugzilla/show_bug.cgi?id=28037

Comment 5 errata-xmlrpc 2012-05-07 18:51:11 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Server 1.0.2

Via RHSA-2012:0543 https://rhn.redhat.com/errata/RHSA-2012-0543.html

Comment 6 errata-xmlrpc 2012-05-07 19:17:34 UTC
This issue has been addressed in following products:

  JBEWS 1.0 for RHEL 5
  JBEWS 1.0 for RHEL 6

Via RHSA-2012:0542 https://rhn.redhat.com/errata/RHSA-2012-0542.html


Note You need to log in before you can comment on or make changes to this bug.